%define module 	XMLNews-Meta
%define version 0.01
%define release 6mdk

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel perl-XML-Parser
Requires:	perl 
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Buildarch:	noarch

%description
%{module} - module designed to read and write an XML-based news metadata

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README MANIFEST Changes
%{perl_vendorlib}/XMLNews/
%_mandir/*/*

%changelog
* Tue Jun 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.01-6mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-5mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.01-4mdk
- buildrequires

* Thu Aug 29 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.01-3mdk
- rebuild

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.01-2mdk
- fixed by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- BuildRequires:	perl-devel >= 5.6
	- Requires:	perl >= 5.6

* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.01-1mdk
- First Mandrake Release


